%global srcname lmdb
%global sum Python binding for the LMDB 'Lightning' Database (CPython & CFFI included)

Name:           python-%{srcname}
Version:        1.4.0
Release:    1%{?dist}
Summary:        %{sum}

License:        OpenLDAP
URL:            https://github.com/dw/py-lmdb
Source0:        %{pypi_source lmdb}

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  lmdb-devel
BuildRequires:  python3-pytest

%description
%{sum}

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{sum}


%prep
%autosetup -n lmdb-%{version}

%generate_buildrequires
export LMDB_FORCE_SYSTEM=1
unset LMDB_FORCE_CFFI
%pyproject_buildrequires


%build
export LMDB_FORCE_SYSTEM=1
unset LMDB_FORCE_CFFI
%pyproject_wheel


%install
export LMDB_FORCE_SYSTEM=1
unset LMDB_FORCE_CFFI
%pyproject_install

%pyproject_save_files lmdb


%check
export LMDB_FORCE_SYSTEM=1
unset LMDB_FORCE_CFFI
%pytest


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc ChangeLog


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-1
- initial build
